Priority: extra
Build-Depends: debhelper (>= 4), libxml2-dev, libssl-dev, libreadline5-dev, libwrap0-dev
-Package: libyaz2
+Package: libyaz
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
-Provides: libyaz
-Replaces: libyaz
Conflicts: idzebra (<= 1.3.4-2), php4-yaz (<= 4.1.2-5)
Description: The YAZ Z39.50 toolkit (runtime files)
YAZ is a toolkit that allows you to develop software using the
This packages includes documentation for YAZ in HTML and PDF.
Package: libyaz-dev
-Depends: libyaz2 (= ${Source-Version}), libxml2-dev, libwrap0-dev, libssl-dev
+Depends: libyaz (= ${Source-Version}), libxml2-dev, libwrap0-dev, libssl-dev
Replaces: yaz-devel
Conflicts: yaz-devel
Section: devel
--- /dev/null
+debian/tmp/usr/lib/lib*.so.*
+debian/tmp/usr/share/man/man7/yaz.7
--- /dev/null
+#! /bin/sh
+# postinst script for tklite
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+ ldconfig
+ exit 0
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ exit 0
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+++ /dev/null
-debian/tmp/usr/lib/lib*.so.*
-debian/tmp/usr/share/man/man7/yaz.7
+++ /dev/null
-#! /bin/sh
-# postinst script for tklite
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-# * <postinst> `configure' <most-recently-configured-version>
-# * <old-postinst> `abort-upgrade' <new version>
-# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-# <new-version>
-# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-# <failed-install-package> <version> `removing'
-# <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-#
-# quoting from the policy:
-# Any necessary prompting should almost always be confined to the
-# post-installation script, and should be protected with a conditional
-# so that unnecessary prompting doesn't happen if a package's
-# installation fails and the `postinst' is called with `abort-upgrade',
-# `abort-remove' or `abort-deconfigure'.
-
-case "$1" in
- configure)
- ldconfig
- exit 0
- ;;
-
- abort-upgrade|abort-remove|abort-deconfigure)
- exit 0
- ;;
-
- *)
- echo "postinst called with unknown argument \`$1'" >&2
- exit 1
- ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
dh_fixperms
# dh_perl
# dh_python
- dh_makeshlibs -V 'libyaz2 (>= 2.1.18)'
+ dh_makeshlibs -V 'libyaz (>= 2.1.18)'
dh_installdeb
dh_shlibdeps -l debian/libyaz/usr/lib
dh_gencontrol